Subject: [AAA-WG]: Issue 195: Clarifications on key generation (mobileip-08)

From: Pat Calhoun <[email-masked]>
Date: Tue, 16 Oct 2001 08:18:35 -0700

All,

I've just talked to Mark, and finally understand his concern. Basically, when a
key is shared between two mobility agents (meaning the mobile node is not involved),
there is no key creation because there is no long term MN shared secret involved.
Therefore, the keying material, which is random, is used as the session key.

So, I'd like to propose the following language to be added at the end of section
5.1:

"  For keys to be shared between two mobility agents (e.g. foreign and home
   agents), the aaah would generate the key material. Since the key is not
   destined for the mobile node, there is no need to follow the session key
   generation procedures detailed above. Therefore, the keying material (random
   value) is considered the session key."

Thoughts?

PatC

---

From: "Mark Jones" <[email-masked]>
Date: Tue, 16 Oct 2001 13:49:03 -0400

Pat,

I'd prefer we stay clear of even mentioning key material in this context
(especially since the result is put in a MIP-Session-Key AVP).

"  The Foreign-Home session key is shared between two mobility agents:
   the FA and HA. Since this key is not destined for the mobile node,
   there is no need to follow the session key generation procedures
   detailed above. Instead, the AAAH generates a random [18] value of
   at least 64 bits for use as the Foreign-Home session key."

Comments?

Regards,
       Mark

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Pat Calhoun
> Sent: October 16, 2001 11:19 AM
> To: [email-masked]
> Subject: [AAA-WG]: Issue 195: Clarifications on key generation
> (mobileip-08)
>
>
> All,
>

---

From: Pat Calhoun <[email-masked]>
Date: Tue, 16 Oct 2001 11:08:46 -0700

works for me.

PatC